


-- prospecting support




local enabled = true


do
-- results : [ore][gem] = numProspected
	local prospectingResults = {
		[36912] = { --Saronite Ore
			[36929] = 0.183, --Huge Citrine
			[36930] = 0.041, --Monarch Topaz
			[36923] = 0.182, --Chalcedony
			[36924] = 0.04, --Sky Sapphire
			[36917] = 0.181, --Bloodstone
			[36918] = 0.041, --Scarlet Ruby
			[36926] = 0.184, --Shadow Crystal
			[36927] = 0.039, --Twilight Opal
			[36920] = 0.182, --Sun Crystal
			[36932] = 0.184, --Dark Jade
			[36921] = 0.04, --Autumn\'s Glow
			[36933] = 0.04, --Forest Emerald
		},
		[36909] = { --Cobalt Ore
			[36929] = 0.25, --Huge Citrine
			[36930] = 0.012, --Monarch Topaz
			[36923] = 0.25, --Chalcedony
			[36924] = 0.011, --Sky Sapphire
			[36917] = 0.245, --Bloodstone
			[36918] = 0.013, --Scarlet Ruby
			[36926] = 0.251, --Shadow Crystal
			[36927] = 0.012, --Twilight Opal
			[36920] = 0.247, --Sun Crystal
			[36932] = 0.252, --Dark Jade
			[36921] = 0.011, --Autumn\'s Glow
			[36933] = 0.012, --Forest Emerald
		},
		[10620] = { --Thorium Ore
			[12364] = 0.213, --Huge Emerald
			[23112] = 0.003, --Golden Draenite
			[23079] = 0.003, --Deep Peridot
			[12361] = 0.211, --Blue Sapphire
			[23117] = 0.003, --Azure Moonstone
			[12800] = 0.211, --Azerothian Diamond
			[7910] = 0.23, --Star Ruby
			[21929] = 0.003, --Flame Spessarite
			[12799] = 0.215, --Large Opal
			[23107] = 0.003, --Shadow Draenite
			[23077] = 0.003, --Blood Garnet
		},
		[23424] = { --Fel Iron Ore
			[23441] = 0.01, --Nightseye
			[23438] = 0.011, --Star of Elune
			[23112] = 0.176, --Golden Draenite
			[23079] = 0.178, --Deep Peridot
			[23439] = 0.011, --Noble Topaz
			[23117] = 0.17, --Azure Moonstone
			[23436] = 0.011, --Living Ruby
			[23440] = 0.011, --Dawnstone
			[21929] = 0.179, --Flame Spessarite
			[23107] = 0.174, --Shadow Draenite
			[23077] = 0.174, --Blood Garnet
			[23437] = 0.011, --Talasite
		},
		[2772] = { --Iron Ore
			[3864] = 0.344, --Citrine
			[1529] = 0.35, --Jade
			[7910] = 0.049, --Star Ruby
			[1705] = 0.345, --Lesser Moonstone
			[7909] = 0.049, --Aquamarine
		},
		[2770] = { --Copper Ore
			[818] = 0.499, --Tigerseye
			[1210] = 0.099, --Shadowgem
			[774] = 0.5, --Malachite
		},
		[3858] = { --Mithril Ore
			[12364] = 0.023, --Huge Emerald
			[12361] = 0.025, --Blue Sapphire
			[12799] = 0.025, --Large Opal
			[12800] = 0.024, --Azerothian Diamond
			[7909] = 0.347, --Aquamarine
			[7910] = 0.348, --Star Ruby
			[3864] = 0.342, --Citrine
		},
		[23425] = { --Adamantite Ore
			[23441] = 0.033, --Nightseye
			[23438] = 0.033, --Star of Elune
			[23112] = 0.182, --Golden Draenite
			[23079] = 0.184, --Deep Peridot
			[23439] = 0.035, --Noble Topaz
			[23117] = 0.18, --Azure Moonstone
			[23436] = 0.033, --Living Ruby
			[23440] = 0.034, --Dawnstone
			[21929] = 0.184, --Flame Spessarite
			[23107] = 0.18, --Shadow Draenite
			[23077] = 0.182, --Blood Garnet
			[23437] = 0.035, --Talasite
		},
		[2771] = { --Tin Ore
			[3864] = 0.034, --Citrine
			[1210] = 0.38, --Shadowgem
			[1529] = 0.033, --Jade
			[7909] = 0.031, --Aquamarine
			[1705] = 0.386, --Lesser Moonstone
			[1206] = 0.389, --Moss Agate
		},
	}


	-- spoof recipes for prospected ores -> gems
	local function AddToRecipeCache()
		for oreID, gemTable in pairs(prospectingResults) do
			local reagentTable = {}
			local recipeName = "Prospect "..(GetItemInfo(oreID) or "item:"..oreID)

			reagentTable[oreID] = 5

			LSW:AddRecipe(-oreID, recipeName, gemTable, reagentTable, true)
		end
	end

	local function Init()
		LSW:ChatMessage("LilSparky's Workshop adding native Prospecting support")

		AddToRecipeCache()
	end


	local function Test(index)
		if enabled then
			return true
		end

		return false
	end

	LSW:RegisterPricingSupport("Prospecting", Test, Init)
end


